local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE == "enUS" or LOCALE == "enGB" then
	-- No translation needed for english client, so we simply return
	return 
end

if LOCALE == "deDE" then
	-- German translations go here
	
			-- Exclusively Talent Cooldowns
		L["Blade Flurry"] = "Klingenwirbel"
		L["Adrenaline Rush"] = "Adrenalinrausch"
		L["Preparation"] = "Vorbereitung"
		L["Ghostly Strike"] = "Geisterhafter Stoß"
		L["Premeditation"] = "Konzentration"
		L["Cold Blood"] = "Kaltblütigkeit"

		L["Bestial Wrath"] = "Zorn des Wildtiers"
		L["Intimidation"] = "Einschüchterung"
		L["Deterrence"] = "Abschreckung"
		L["Scatter Shot"] = "Streuschuss"
		L["Aimed Shot"] = "Gezielter Schuss"

		L["Last Stand"] = "Letztes Gefecht"
		L["Sweeping Strikes"] = "Weitreichende Stöße"
		L["Death Wish"] = "Todeswunsch"
		L["Concussion Blow"] = "Erschütternder Schlag"

		L["Inner Focus"] = "Innerer Fokus"
		L["Power Infusion"] = "Seele der Macht"
		L["Silence"] = "Stille"

		L["Elemental Mastery"] = "Elementarbeherrschung"
		L["Stormstrike"] = "Sturmschlag"
		L["Nature's Swiftness"] = "Schnelligkeit der Natur"

		L["Fel Domination"] = "Teufelsbeherrschung"
		L["Amplify Curse"] = "Fluch verstärken"

		L["Divine Favor"] = "Göttliche Gunst"
		L["Holy Shock"] = "Heiliger Schock"
		L["Holy Shield"] = "Heiliger Schild"
		L["Repentance"] = "Buße"

		L["Innervate"] = "Anregen"
		L["Faerie Fire (Feral)"] = "Feenfeuer (Tiergestalt)"
		L["Feral Charge"] = "Wilde Attacke"
		L["Swiftmend"] = "Rasche Heilung"

		L["Presence of Mind"] = "Geistesgegenwart"
		L["Arcane Power"] = "Arkane Macht"
		L["Combustion"] = "Verbrennung"
		L["Cold Snap"] = "Kälteeinbruch"
		L["Ice Block"] = "Eisblock"

		-- Trinkets & Racials
		L["Will of the Forsaken"] = "Wille der Verlassenen"
		L["Perception"] = "Wachsamkeit"
		L["War Stomp"] = "Kriegsdonner"
		L["Stoneform"] = "Steingestalt"
		L["Cannibalize"] = "Kannibalismus"
		L["Blood Fury"] = "Kochendes Blut"
		L["Berserking"] = "Berserker"
		L["Shadowmeld"] = "Schattenhaftigkeit"
		L["Escape Artist"] = "Entfesselungskünstler"

		L["Brittle Armor"] = "Spröde Rüstung"
		L["Unstable Power"] = "Instabile Macht"
		L["Restless Strength"] = "Ruhelose Stärke"
		L["Ephemeral Power"] = "Ephemere Macht"
		L["Massive Destruction"] = "Massive Zerstörung"
		L["Arcane Potency"] = "Arkane Kraft"
		L["Energized Shield"] = "Energiegeladener Schild"
		L["Brilliant Light"] = "Gleißendes Licht"
		L["Mar'li's Brain Boost"] = "Mar'lis fokussierte Gedanken"
		L["Burst of Energy"] = "Energieexplosion"
		L["Refocus"] = "Refokussieren"
		L["Venomous Totem"] = "Gifttotem"
		L["Mind Quickening"] = "Gedankensprung"
		L["Gift of Life"] = "Geschenk des Lebens"
		L["Blinding Light"] = "Blendendes Licht"
		L["Nature Aligned"] = "Naturverbundenheit"
		L["Earthstrike"] = "Erdstoß"
		L["Badge of the Swarmguard"] = "Abzeichen der Schwarmwache"
		L["Speed"] = "Tempo"
		L["Immune Root/Snare/Stun"] = "Immunität gegen Unbeweglichkeit/Verlangsamung/Betäuben"
		L["Immune Fear/Polymorph/Snare"] = "Immunität gegen Furcht/Verwandlung/Verlangsamung"
		L["Immune Charm/Fear/Stun"] = "Immunität Bezauberung/Furcht/Betäuben"
		L["Immune Charm/Fear/Polymorph"] = "Immunität Bezauberung/Furcht/Verwandlung"
		L["Immune Fear/Polymorph/Stun"] = "Immunität Furcht/Verwandlung/Betäuben"

		L["Frost Reflector"] = "Frostreflektor"
		L["Shadow Reflector"] = "Schattenreflektor"
		L["Fire Reflector"] = "Feuerreflektor"
		
		L["Healing Potion"] = "Heiltrank"
		L["Healing Draught"] = "Heilgebräu"
		L["Restore Mana"] = "Mana wiederherstellen"
		L["Free Action"] = "Freie Aktion"
		L["Living Free Action"] = "Lebhafte freie Aktion"
		L["Invulnerability"] = "Unverwundbarkeit"
		L["Restoration"] = "Wiederherstellung"
		L["Restore Energy"] = "Energie wiederherstellen"

		L["Recently Bandaged"] = "Kürzlich bandagiert"
		L["Iron Grenade"] = "Eisengranate"
		L["Thorium Grenade"] = "Thoriumgranate"
		L["Goblin Sapper Charge"] = "Goblinsche Pioniersprengladung"
		
		L["Flee"] = "Fliehen"
		L["Gnomish Rocket Boots"] = "Gnomen-Raketenstiefel"
		L["Goblin Rocket Boots"] = "Goblin-Raketenstiefel"
		L["Running Speed"] = "Lauftempo"
		L["Gnomish Mind Control Cap"] = "Gnomen-Gedankenkontrollkappe"
		L["Reckless Charge"] = "Tollkühnes Stürmen"

		-- Warrior
		L["Charge"] = "Sturmangriff"
		L["Mocking Blow"] = "Spöttischer Schlag"
		L["Mortal Strike"] = "Tödlicher Stoß"
		L["Overpower"] = "Überwältigen"
		L["Retaliation"] = "Gegenschlag"
		L["Thunder Clap"] = "Donnerknall"
		L["Berserker Rage"] = "Berserkerwut"
		L["Bloodthirst"] = "Blutdurst"
		L["Challenging Shout"] = "Herausforderungsruf"
		L["Intercept"] = "Abfangen"
		L["Intimidating Shout"] = "Drohruf"
		L["Pummel"] = "Zuschlagen"
		L["Recklessness"] = "Tollkühnheit"
		L["Whirlwind"] = "Wirbelwind"
		L["Bloodrage"] = "Blutrausch"
		L["Disarm"] = "Entwaffnen"
		L["Revenge"] = "Rache"
		L["Shield Bash"] = "Schildhieb"
		L["Shield Block"] = "Schildblock"
		L["Shield Slam"] = "Schildschlag"
		L["Shield Wall"] = "Schildwall"

		-- Paladin
		L["Consecration"] = "Weihe"
		L["Exorcism"] = "Exorzismus"
		L["Hammer of Wrath"] = "Hammer des Zorns"
		L["Holy Wrath"] = "Heiliger Zorn"
		L["Lay on Hands"] = "Handauflegung"
		L["Turn Undead"] = "Untote vertreiben"
		L["Blessing of Freedom"] = "Segen der Freiheit"
		L["Blessing of Protection"] = "Segen des Schutzes"
		L["Divine Intervention"] = "Göttliches Eingreifen"
		L["Divine Protection"] = "Göttlicher Schutz"
		L["Divine Shield"] = "Gottesschild"
		L["Hammer of Justice"] = "Hammer der Gerechtigkeit"
		L["Judgement"] = "Richturteil"
		L["Forbearance"] = "Vorahnung"

		-- Mage
		L["Blink"] = "Blinzeln"
		L["Portal: Darnassus"] = "Portal: Darnassus"
		L["Portal: Ironforge"] = "Portal: Ironforge"
		L["Portal: Orgrimmar"] = "Portal: Orgrimmar"
		L["Portal: Stormwind"] = "Portal: Stormwind"
		L["Portal: Thunder Bluff"] = "Portal: Thunder Bluff"
		L["Portal: Undercity"] = "Portal: Undercity"
		L["Blast Wave"] = "Druckwelle"
		L["Fire Blast"] = "Feuerschlag"
		L["Fire Ward"] = "Feuerzauberschutz"
		L["Cone of Cold"] = "Kältekegel"
		L["Frost Nova"] = "Frostnova"
		L["Frost Ward"] = "Frostzauberschutz"
		L["Ice Barrier"] = "Eisbarriere"
		L["Counterspell"] = "Gegenzauber"
		L["Evocation"] = "Hervorrufung"

		-- Rogues
		L["Kidney Shot"] = "Nierenhieb"
		L["Evasion"] = "Entrinnen"
		L["Feint"] = "Finte"
		L["Gouge"] = "Solarplexus"
		L["Kick"] = "Tritt"
		L["Sprint"] = "Sprinten"
		L["Blind"] = "Blenden"
		L["Distract"] = "Ablenken"
		L["Stealth"] = "Verstohlenheit"
		L["Vanish"] = "Verschwinden"

		-- Shaman
		L["Reincarnation"] = "Reinkarnation"
		L["Chain Lightning"] = "Kettenblitzschlag"
		L["Earth Shock"] = "Erdschock"
		L["Earthbind Totem"] = "Totem der Erdbindung"
		L["Fire Nova Totem"] = "Totem der Feuernova"
		L["Flame Shock"] = "Flammenschock"
		L["Frost Shock"] = "Frostschock"
		L["Stoneclaw Totem"] = "Totem der Steinklaue"
		L["Astral Recall"] = "Astraler Rückruf"
		L["Grounding Totem"] = "Totem der Erdung"
		L["Mana Tide Totem"] = "Totem der Manaflut"

		-- Hunters
		L["Scare Beast"] = "Wildtier ängstigen"
		L["Tranquilizing Shot"] = "Einlullender Schuss"
		L["Arcane Shot"] = "Arkaner Schuss"
		L["Concussive Shot"] = "Erschütternder Schuss"
		L["Distracting Shot"] = "Ablenkender Schuss"
		L["Flare"] = "Leuchtfeuer"
		L["Multi-Shot"] = "Mehrfachschuss"
		L["Rapid Fire"] = "Schnellfeuer"
		L["Volley"] = "Salve"
		L["Counterattack"] = "Gegenangriff"
		L["Disengage"] = "Rückzug"
		L["Explosive Trap"] = "Sprengfalle"
		L["Feign Death"] = "Totstellen"
		L["Frost Trap"] = "Frostfalle"
		L["Immolation Trap"] = "Feuerbrandfalle"
		L["Mongoose Bite"] = "Mungobiss"
		L["Raptor Strike"] = "Raptorstoß"
		L["Wyvern Sting"] = "Stich des Flügeldrachen"

		-- Warlocks
		L["Soulstone Resurrection"] = "Seelenstein-Auferstehung"
		L["Curse of Doom"] = "Fluch der Verdammnis"
		L["Death Coil"] = "Todesmantel"
		L["Howl of Terror"] = "Schreckensgeheul"
		L["Inferno"] = "Inferno"
		L["Ritual of Doom"] = "Ritual der Verdammnis"
		L["Shadow Ward"] = "Schattenzauberschutz"
		L["Conflagrate"] = "Feuersbrunst"
		L["Shadowburn"] = "Schattenbrand"
		L["Soul Fire"] = "Seelenfeuer"
		L["Devour Magic"] = "Magie verschlingen"
		L["Spell Lock"] = "Zaubersperre"
		L["Lash of Pain"] = "Schmerzenspeitsche"
		L["Soothing Kiss"] = "Besänftigender Kuss"

		-- Priest
		L["Elune's Grace"] = "Elunes Anmut"
		L["Feedback"] = "Rückkopplung"
		L["Power Word: Shield"] = "Machtwort: Schild"
		L["Desperate Prayer"] = "Verzweifeltes Gebet"
		L["Fear Ward"] = "Furchtzauberschutz"
		L["Devouring Plague"] = "Verschlingende Seuche"
		L["Fade"] = "Verblassen"
		L["Mind Blast"] = "Gedankenschlag"
		L["Psychic Scream"] = "Psychischer Schrei"
		
		-- Druid
		L["Barkskin"] = "Baumrinde"
		L["Faerie Fire"] = "Feenfeuer"
		L["Hurricane"] = "Hurrikan"
		L["Nature's Grasp"] = "Griff der Natur"
		L["Bash"] = "Hieb"
		L["Challenging Roar"] = "Herausforderndes Gebrüll"
		L["Cower"] = "Ducken"
		L["Dash"] = "Spurt"
		L["Enrage"] = "Wutanfall"
		L["Frenzied Regeneration"] = "Rasende Regeneration"
		L["Prowl"] = "Schleichen"
		L["Tiger's Fury"] = "Tigerfuror"
		L["Rebirth"] = "Wiedergeburt"
		L["Tranquility"] = "Gelassenheit"
		
return end

if LOCALE == "frFR" then
	-- French translations go here
		--[[
			-- Exclusively Talent Cooldowns
		L["Blade Flurry"] = ""
		L["Adrenaline Rush"] = ""
		L["Preparation"] = ""
		L["Ghostly Strike"] = ""
		L["Premeditation"] = ""
		L["Cold Blood"] = ""

		L["Bestial Wrath"] = ""
		L["Intimidation"] = ""
		L["Deterrence"] = ""
		L["Scatter Shot"] = ""
		L["Aimed Shot"] = ""

		L["Last Stand"] = ""
		L["Sweeping Strikes"] = ""
		L["Death Wish"] = ""
		L["Concussion Blow"] = ""

		L["Inner Focus"] = ""
		L["Power Infusion"] = ""
		L["Silence"] = ""

		L["Elemental Mastery"] = ""
		L["Stormstrike"] = ""
		L["Nature's Swiftness"] = ""

		L["Fel Domination"] = ""
		L["Amplify Curse"] = ""

		L["Divine Favor"] = ""
		L["Holy Shock"] = ""
		L["Holy Shield"] = ""
		L["Repentance"] = ""

		L["Innervate"] = ""
		L["Faerie Fire (Feral)"] = ""
		L["Feral Charge"] = ""
		L["Swiftmend"] = ""

		L["Presence of Mind"] = ""
		L["Arcane Power"] = ""
		L["Combustion"] = ""
		L["Cold Snap"] = ""
		L["Ice Block"] = ""

		-- Trinkets & Racials
		L["Will of the Forsaken"] = ""
		L["Perception"] = ""
		L["War Stomp"] = ""
		L["Stoneform"] = ""
		L["Cannibalize"] = ""
		L["Blood Fury"] = ""
		L["Berserking"] = ""
		L["Shadowmeld"] = ""
		L["Escape Artist"] = ""

		L["Brittle Armor"] = ""
		L["Unstable Power"] = ""
		L["Restless Strength"] = ""
		L["Ephemeral Power"] = ""
		L["Massive Destruction"] = ""
		L["Arcane Potency"] = ""
		L["Energized Shield"] = ""
		L["Brilliant Light"] = ""
		L["Mar'li's Brain Boost"] = ""
		L["Burst of Energy"] = ""
		L["Refocus"] = ""
		L["Venomous Totem"] = ""
		L["Mind Quickening"] = ""
		L["Gift of Life"] = ""
		L["Blinding Light"] = ""
		L["Nature Aligned"] = ""
		L["Earthstrike"] = ""
		L["Badge of the Swarmguard"] = ""
		L["Speed"] = ""
		L["Immune Root/Snare/Stun"] = ""
		L["Immune Fear/Polymorph/Snare"] = ""
		L["Immune Charm/Fear/Stun"] = ""
		L["Immune Charm/Fear/Polymorph"] = ""
		L["Immune Fear/Polymorph/Stun"] = ""

		L["Frost Reflector"] = ""
		L["Shadow Reflector"] = ""
		L["Fire Reflector"] = ""
		
		L["Healing Potion"] = ""
		L["Healing Draught"] = ""
		L["Restore Mana"] = ""
		L["Free Action"] = ""
		L["Living Free Action"] = ""
		L["Invulnerability"] = ""
		L["Restoration"] = ""
		L["Restore Energy"] = ""

		L["Recently Bandaged"] = ""
		L["Iron Grenade"] = ""
		L["Thorium Grenade"] = ""
		L["Goblin Sapper Charge"] = ""
		
		L["Flee"] = ""
		L["Gnomish Rocket Boots"] = ""
		L["Goblin Rocket Boots"] = ""
		L["Running Speed"] = ""
		L["Gnomish Mind Control Cap"] = ""
		L["Reckless Charge"] = ""

		-- Warrior
		L["Charge"] = ""
		L["Mocking Blow"] = ""
		L["Mortal Strike"] = ""
		L["Overpower"] = ""
		L["Retaliation"] = ""
		L["Thunder Clap"] = ""
		L["Berserker Rage"] = ""
		L["Bloodthirst"] = ""
		L["Challenging Shout"] = ""
		L["Intercept"] = ""
		L["Intimidating Shout"] = ""
		L["Pummel"] = ""
		L["Recklessness"] = ""
		L["Whirlwind"] = ""
		L["Bloodrage"] = ""
		L["Disarm"] = ""
		L["Revenge"] = ""
		L["Shield Bash"] = ""
		L["Shield Block"] = ""
		L["Shield Slam"] = ""
		L["Shield Wall"] = ""

		-- Paladin
		L["Consecration"] = ""
		L["Exorcism"] = ""
		L["Hammer of Wrath"] = ""
		L["Holy Wrath"] = ""
		L["Lay on Hands"] = ""
		L["Turn Undead"] = ""
		L["Blessing of Freedom"] = ""
		L["Blessing of Protection"] = ""
		L["Divine Intervention"] = ""
		L["Divine Protection"] = ""
		L["Divine Shield"] = ""
		L["Hammer of Justice"] = ""
		L["Judgement"] = ""
		L["Forbearance"] = ""

		-- Mage
		L["Blink"] = ""
		L["Portal: Darnassus"] = ""
		L["Portal: Ironforge"] = ""
		L["Portal: Orgrimmar"] = ""
		L["Portal: Stormwind"] = ""
		L["Portal: Thunder Bluff"] = ""
		L["Portal: Undercity"] = ""
		L["Blast Wave"] = ""
		L["Fire Blast"] = ""
		L["Fire Ward"] = ""
		L["Cone of Cold"] = ""
		L["Frost Nova"] = ""
		L["Frost Ward"] = ""
		L["Ice Barrier"] = ""
		L["Counterspell"] = ""
		L["Evocation"] = ""

		-- Rogues
		L["Kidney Shot"] = ""
		L["Evasion"] = ""
		L["Feint"] = ""
		L["Gouge"] = ""
		L["Kick"] = ""
		L["Sprint"] = ""
		L["Blind"] = ""
		L["Distract"] = ""
		L["Stealth"] = ""
		L["Vanish"] = ""

		-- Shaman
		L["Reincarnation"] = ""
		L["Chain Lightning"] = ""
		L["Earth Shock"] = ""
		L["Earthbind Totem"] = ""
		L["Fire Nova Totem"] = ""
		L["Flame Shock"] = ""
		L["Frost Shock"] = ""
		L["Stoneclaw Totem"] = ""
		L["Astral Recall"] = ""
		L["Grounding Totem"] = ""
		L["Mana Tide Totem"] = ""

		-- Hunters
		L["Scare Beast"] = ""
		L["Tranquilizing Shot"] = ""
		L["Arcane Shot"] = ""
		L["Concussive Shot"] = ""
		L["Distracting Shot"] = ""
		L["Flare"] = ""
		L["Multi-Shot"] = ""
		L["Rapid Fire"] = ""
		L["Volley"] = ""
		L["Counterattack"] = ""
		L["Disengage"] = ""
		L["Explosive Trap"] = ""
		L["Feign Death"] = ""
		L["Frost Trap"] = ""
		L["Immolation Trap"] = ""
		L["Mongoose Bite"] = ""
		L["Raptor Strike"] = ""
		L["Wyvern Sting"] = ""

		-- Warlocks
		L["Soulstone Resurrection"] = ""
		L["Curse of Doom"] = ""
		L["Death Coil"] = ""
		L["Howl of Terror"] = ""
		L["Inferno"] = ""
		L["Ritual of Doom"] = ""
		L["Shadow Ward"] = ""
		L["Conflagrate"] = ""
		L["Shadowburn"] = ""
		L["Soul Fire"] = ""
		L["Devour Magic"] = ""
		L["Spell Lock"] = ""
		L["Lash of Pain"] = ""
		L["Soothing Kiss"] = ""

		-- Priest
		L["Elune's Grace"] = ""
		L["Feedback"] = ""
		L["Power Word: Shield"] = ""
		L["Desperate Prayer"] = ""
		L["Fear Ward"] = ""
		L["Devouring Plague"] = ""
		L["Fade"] = ""
		L["Mind Blast"] = ""
		L["Psychic Scream"] = ""
		
		-- Druid
		L["Barkskin"] = ""
		L["Faerie Fire"] = ""
		L["Hurricane"] = ""
		L["Nature's Grasp"] = ""
		L["Bash"] = ""
		L["Challenging Roar"] = ""
		L["Cower"] = ""
		L["Dash"] = ""
		L["Enrage"] = ""
		L["Frenzied Regeneration"] = ""
		L["Prowl"] = ""
		L["Tiger's Fury"] = ""
		L["Rebirth"] = ""
		L["Tranquility"] = ""
		]]--
		
return end

if LOCALE == "esES" or LOCALE == "esMX" then
	-- Spanish translations go here
		--[[
			-- Exclusively Talent Cooldowns
		L["Blade Flurry"] = ""
		L["Adrenaline Rush"] = ""
		L["Preparation"] = ""
		L["Ghostly Strike"] = ""
		L["Premeditation"] = ""
		L["Cold Blood"] = ""

		L["Bestial Wrath"] = ""
		L["Intimidation"] = ""
		L["Deterrence"] = ""
		L["Scatter Shot"] = ""
		L["Aimed Shot"] = ""

		L["Last Stand"] = ""
		L["Sweeping Strikes"] = ""
		L["Death Wish"] = ""
		L["Concussion Blow"] = ""

		L["Inner Focus"] = ""
		L["Power Infusion"] = ""
		L["Silence"] = ""

		L["Elemental Mastery"] = ""
		L["Stormstrike"] = ""
		L["Nature's Swiftness"] = ""

		L["Fel Domination"] = ""
		L["Amplify Curse"] = ""

		L["Divine Favor"] = ""
		L["Holy Shock"] = ""
		L["Holy Shield"] = ""
		L["Repentance"] = ""

		L["Innervate"] = ""
		L["Faerie Fire (Feral)"] = ""
		L["Feral Charge"] = ""
		L["Swiftmend"] = ""

		L["Presence of Mind"] = ""
		L["Arcane Power"] = ""
		L["Combustion"] = ""
		L["Cold Snap"] = ""
		L["Ice Block"] = ""

		-- Trinkets & Racials
		L["Will of the Forsaken"] = ""
		L["Perception"] = ""
		L["War Stomp"] = ""
		L["Stoneform"] = ""
		L["Cannibalize"] = ""
		L["Blood Fury"] = ""
		L["Berserking"] = ""
		L["Shadowmeld"] = ""
		L["Escape Artist"] = ""

		L["Brittle Armor"] = ""
		L["Unstable Power"] = ""
		L["Restless Strength"] = ""
		L["Ephemeral Power"] = ""
		L["Massive Destruction"] = ""
		L["Arcane Potency"] = ""
		L["Energized Shield"] = ""
		L["Brilliant Light"] = ""
		L["Mar'li's Brain Boost"] = ""
		L["Burst of Energy"] = ""
		L["Refocus"] = ""
		L["Venomous Totem"] = ""
		L["Mind Quickening"] = ""
		L["Gift of Life"] = ""
		L["Blinding Light"] = ""
		L["Nature Aligned"] = ""
		L["Earthstrike"] = ""
		L["Badge of the Swarmguard"] = ""
		L["Speed"] = ""
		L["Immune Root/Snare/Stun"] = ""
		L["Immune Fear/Polymorph/Snare"] = ""
		L["Immune Charm/Fear/Stun"] = ""
		L["Immune Charm/Fear/Polymorph"] = ""
		L["Immune Fear/Polymorph/Stun"] = ""

		L["Frost Reflector"] = ""
		L["Shadow Reflector"] = ""
		L["Fire Reflector"] = ""
		
		L["Healing Potion"] = ""
		L["Healing Draught"] = ""
		L["Restore Mana"] = ""
		L["Free Action"] = ""
		L["Living Free Action"] = ""
		L["Invulnerability"] = ""
		L["Restoration"] = ""
		L["Restore Energy"] = ""

		L["Recently Bandaged"] = ""
		L["Iron Grenade"] = ""
		L["Thorium Grenade"] = ""
		L["Goblin Sapper Charge"] = ""
		
		L["Flee"] = ""
		L["Gnomish Rocket Boots"] = ""
		L["Goblin Rocket Boots"] = ""
		L["Running Speed"] = ""
		L["Gnomish Mind Control Cap"] = ""
		L["Reckless Charge"] = ""

		-- Warrior
		L["Charge"] = ""
		L["Mocking Blow"] = ""
		L["Mortal Strike"] = ""
		L["Overpower"] = ""
		L["Retaliation"] = ""
		L["Thunder Clap"] = ""
		L["Berserker Rage"] = ""
		L["Bloodthirst"] = ""
		L["Challenging Shout"] = ""
		L["Intercept"] = ""
		L["Intimidating Shout"] = ""
		L["Pummel"] = ""
		L["Recklessness"] = ""
		L["Whirlwind"] = ""
		L["Bloodrage"] = ""
		L["Disarm"] = ""
		L["Revenge"] = ""
		L["Shield Bash"] = ""
		L["Shield Block"] = ""
		L["Shield Slam"] = ""
		L["Shield Wall"] = ""

		-- Paladin
		L["Consecration"] = ""
		L["Exorcism"] = ""
		L["Hammer of Wrath"] = ""
		L["Holy Wrath"] = ""
		L["Lay on Hands"] = ""
		L["Turn Undead"] = ""
		L["Blessing of Freedom"] = ""
		L["Blessing of Protection"] = ""
		L["Divine Intervention"] = ""
		L["Divine Protection"] = ""
		L["Divine Shield"] = ""
		L["Hammer of Justice"] = ""
		L["Judgement"] = ""
		L["Forbearance"] = ""

		-- Mage
		L["Blink"] = ""
		L["Portal: Darnassus"] = ""
		L["Portal: Ironforge"] = ""
		L["Portal: Orgrimmar"] = ""
		L["Portal: Stormwind"] = ""
		L["Portal: Thunder Bluff"] = ""
		L["Portal: Undercity"] = ""
		L["Blast Wave"] = ""
		L["Fire Blast"] = ""
		L["Fire Ward"] = ""
		L["Cone of Cold"] = ""
		L["Frost Nova"] = ""
		L["Frost Ward"] = ""
		L["Ice Barrier"] = ""
		L["Counterspell"] = ""
		L["Evocation"] = ""

		-- Rogues
		L["Kidney Shot"] = ""
		L["Evasion"] = ""
		L["Feint"] = ""
		L["Gouge"] = ""
		L["Kick"] = ""
		L["Sprint"] = ""
		L["Blind"] = ""
		L["Distract"] = ""
		L["Stealth"] = ""
		L["Vanish"] = ""

		-- Shaman
		L["Reincarnation"] = ""
		L["Chain Lightning"] = ""
		L["Earth Shock"] = ""
		L["Earthbind Totem"] = ""
		L["Fire Nova Totem"] = ""
		L["Flame Shock"] = ""
		L["Frost Shock"] = ""
		L["Stoneclaw Totem"] = ""
		L["Astral Recall"] = ""
		L["Grounding Totem"] = ""
		L["Mana Tide Totem"] = ""

		-- Hunters
		L["Scare Beast"] = ""
		L["Tranquilizing Shot"] = ""
		L["Arcane Shot"] = ""
		L["Concussive Shot"] = ""
		L["Distracting Shot"] = ""
		L["Flare"] = ""
		L["Multi-Shot"] = ""
		L["Rapid Fire"] = ""
		L["Volley"] = ""
		L["Counterattack"] = ""
		L["Disengage"] = ""
		L["Explosive Trap"] = ""
		L["Feign Death"] = ""
		L["Frost Trap"] = ""
		L["Immolation Trap"] = ""
		L["Mongoose Bite"] = ""
		L["Raptor Strike"] = ""
		L["Wyvern Sting"] = ""

		-- Warlocks
		L["Soulstone Resurrection"] = ""
		L["Curse of Doom"] = ""
		L["Death Coil"] = ""
		L["Howl of Terror"] = ""
		L["Inferno"] = ""
		L["Ritual of Doom"] = ""
		L["Shadow Ward"] = ""
		L["Conflagrate"] = ""
		L["Shadowburn"] = ""
		L["Soul Fire"] = ""
		L["Devour Magic"] = ""
		L["Spell Lock"] = ""
		L["Lash of Pain"] = ""
		L["Soothing Kiss"] = ""

		-- Priest
		L["Elune's Grace"] = ""
		L["Feedback"] = ""
		L["Power Word: Shield"] = ""
		L["Desperate Prayer"] = ""
		L["Fear Ward"] = ""
		L["Devouring Plague"] = ""
		L["Fade"] = ""
		L["Mind Blast"] = ""
		L["Psychic Scream"] = ""
		
		-- Druid
		L["Barkskin"] = ""
		L["Faerie Fire"] = ""
		L["Hurricane"] = ""
		L["Nature's Grasp"] = ""
		L["Bash"] = ""
		L["Challenging Roar"] = ""
		L["Cower"] = ""
		L["Dash"] = ""
		L["Enrage"] = ""
		L["Frenzied Regeneration"] = ""
		L["Prowl"] = ""
		L["Tiger's Fury"] = ""
		L["Rebirth"] = ""
		L["Tranquility"] = ""
		]]--
		
return end

if LOCALE == "ptBR" then
	-- Brazilian Portuguese translations go here
	-- Note that the EU Portuguese WoW client also
	-- uses the Brazilian Portuguese locale code.
		--[[
			-- Exclusively Talent Cooldowns
		L["Blade Flurry"] = ""
		L["Adrenaline Rush"] = ""
		L["Preparation"] = ""
		L["Ghostly Strike"] = ""
		L["Premeditation"] = ""
		L["Cold Blood"] = ""

		L["Bestial Wrath"] = ""
		L["Intimidation"] = ""
		L["Deterrence"] = ""
		L["Scatter Shot"] = ""
		L["Aimed Shot"] = ""

		L["Last Stand"] = ""
		L["Sweeping Strikes"] = ""
		L["Death Wish"] = ""
		L["Concussion Blow"] = ""

		L["Inner Focus"] = ""
		L["Power Infusion"] = ""
		L["Silence"] = ""

		L["Elemental Mastery"] = ""
		L["Stormstrike"] = ""
		L["Nature's Swiftness"] = ""

		L["Fel Domination"] = ""
		L["Amplify Curse"] = ""

		L["Divine Favor"] = ""
		L["Holy Shock"] = ""
		L["Holy Shield"] = ""
		L["Repentance"] = ""

		L["Innervate"] = ""
		L["Faerie Fire (Feral)"] = ""
		L["Feral Charge"] = ""
		L["Swiftmend"] = ""

		L["Presence of Mind"] = ""
		L["Arcane Power"] = ""
		L["Combustion"] = ""
		L["Cold Snap"] = ""
		L["Ice Block"] = ""

		-- Trinkets & Racials
		L["Will of the Forsaken"] = ""
		L["Perception"] = ""
		L["War Stomp"] = ""
		L["Stoneform"] = ""
		L["Cannibalize"] = ""
		L["Blood Fury"] = ""
		L["Berserking"] = ""
		L["Shadowmeld"] = ""
		L["Escape Artist"] = ""

		L["Brittle Armor"] = ""
		L["Unstable Power"] = ""
		L["Restless Strength"] = ""
		L["Ephemeral Power"] = ""
		L["Massive Destruction"] = ""
		L["Arcane Potency"] = ""
		L["Energized Shield"] = ""
		L["Brilliant Light"] = ""
		L["Mar'li's Brain Boost"] = ""
		L["Burst of Energy"] = ""
		L["Refocus"] = ""
		L["Venomous Totem"] = ""
		L["Mind Quickening"] = ""
		L["Gift of Life"] = ""
		L["Blinding Light"] = ""
		L["Nature Aligned"] = ""
		L["Earthstrike"] = ""
		L["Badge of the Swarmguard"] = ""
		L["Speed"] = ""
		L["Immune Root/Snare/Stun"] = ""
		L["Immune Fear/Polymorph/Snare"] = ""
		L["Immune Charm/Fear/Stun"] = ""
		L["Immune Charm/Fear/Polymorph"] = ""
		L["Immune Fear/Polymorph/Stun"] = ""

		L["Frost Reflector"] = ""
		L["Shadow Reflector"] = ""
		L["Fire Reflector"] = ""
		
		L["Healing Potion"] = ""
		L["Healing Draught"] = ""
		L["Restore Mana"] = ""
		L["Free Action"] = ""
		L["Living Free Action"] = ""
		L["Invulnerability"] = ""
		L["Restoration"] = ""
		L["Restore Energy"] = ""

		L["Recently Bandaged"] = ""
		L["Iron Grenade"] = ""
		L["Thorium Grenade"] = ""
		L["Goblin Sapper Charge"] = ""
		
		L["Flee"] = ""
		L["Gnomish Rocket Boots"] = ""
		L["Goblin Rocket Boots"] = ""
		L["Running Speed"] = ""
		L["Gnomish Mind Control Cap"] = ""
		L["Reckless Charge"] = ""

		-- Warrior
		L["Charge"] = ""
		L["Mocking Blow"] = ""
		L["Mortal Strike"] = ""
		L["Overpower"] = ""
		L["Retaliation"] = ""
		L["Thunder Clap"] = ""
		L["Berserker Rage"] = ""
		L["Bloodthirst"] = ""
		L["Challenging Shout"] = ""
		L["Intercept"] = ""
		L["Intimidating Shout"] = ""
		L["Pummel"] = ""
		L["Recklessness"] = ""
		L["Whirlwind"] = ""
		L["Bloodrage"] = ""
		L["Disarm"] = ""
		L["Revenge"] = ""
		L["Shield Bash"] = ""
		L["Shield Block"] = ""
		L["Shield Slam"] = ""
		L["Shield Wall"] = ""

		-- Paladin
		L["Consecration"] = ""
		L["Exorcism"] = ""
		L["Hammer of Wrath"] = ""
		L["Holy Wrath"] = ""
		L["Lay on Hands"] = ""
		L["Turn Undead"] = ""
		L["Blessing of Freedom"] = ""
		L["Blessing of Protection"] = ""
		L["Divine Intervention"] = ""
		L["Divine Protection"] = ""
		L["Divine Shield"] = ""
		L["Hammer of Justice"] = ""
		L["Judgement"] = ""
		L["Forbearance"] = ""

		-- Mage
		L["Blink"] = ""
		L["Portal: Darnassus"] = ""
		L["Portal: Ironforge"] = ""
		L["Portal: Orgrimmar"] = ""
		L["Portal: Stormwind"] = ""
		L["Portal: Thunder Bluff"] = ""
		L["Portal: Undercity"] = ""
		L["Blast Wave"] = ""
		L["Fire Blast"] = ""
		L["Fire Ward"] = ""
		L["Cone of Cold"] = ""
		L["Frost Nova"] = ""
		L["Frost Ward"] = ""
		L["Ice Barrier"] = ""
		L["Counterspell"] = ""
		L["Evocation"] = ""

		-- Rogues
		L["Kidney Shot"] = ""
		L["Evasion"] = ""
		L["Feint"] = ""
		L["Gouge"] = ""
		L["Kick"] = ""
		L["Sprint"] = ""
		L["Blind"] = ""
		L["Distract"] = ""
		L["Stealth"] = ""
		L["Vanish"] = ""

		-- Shaman
		L["Reincarnation"] = ""
		L["Chain Lightning"] = ""
		L["Earth Shock"] = ""
		L["Earthbind Totem"] = ""
		L["Fire Nova Totem"] = ""
		L["Flame Shock"] = ""
		L["Frost Shock"] = ""
		L["Stoneclaw Totem"] = ""
		L["Astral Recall"] = ""
		L["Grounding Totem"] = ""
		L["Mana Tide Totem"] = ""

		-- Hunters
		L["Scare Beast"] = ""
		L["Tranquilizing Shot"] = ""
		L["Arcane Shot"] = ""
		L["Concussive Shot"] = ""
		L["Distracting Shot"] = ""
		L["Flare"] = ""
		L["Multi-Shot"] = ""
		L["Rapid Fire"] = ""
		L["Volley"] = ""
		L["Counterattack"] = ""
		L["Disengage"] = ""
		L["Explosive Trap"] = ""
		L["Feign Death"] = ""
		L["Frost Trap"] = ""
		L["Immolation Trap"] = ""
		L["Mongoose Bite"] = ""
		L["Raptor Strike"] = ""
		L["Wyvern Sting"] = ""

		-- Warlocks
		L["Soulstone Resurrection"] = ""
		L["Curse of Doom"] = ""
		L["Death Coil"] = ""
		L["Howl of Terror"] = ""
		L["Inferno"] = ""
		L["Ritual of Doom"] = ""
		L["Shadow Ward"] = ""
		L["Conflagrate"] = ""
		L["Shadowburn"] = ""
		L["Soul Fire"] = ""
		L["Devour Magic"] = ""
		L["Spell Lock"] = ""
		L["Lash of Pain"] = ""
		L["Soothing Kiss"] = ""

		-- Priest
		L["Elune's Grace"] = ""
		L["Feedback"] = ""
		L["Power Word: Shield"] = ""
		L["Desperate Prayer"] = ""
		L["Fear Ward"] = ""
		L["Devouring Plague"] = ""
		L["Fade"] = ""
		L["Mind Blast"] = ""
		L["Psychic Scream"] = ""
		
		-- Druid
		L["Barkskin"] = ""
		L["Faerie Fire"] = ""
		L["Hurricane"] = ""
		L["Nature's Grasp"] = ""
		L["Bash"] = ""
		L["Challenging Roar"] = ""
		L["Cower"] = ""
		L["Dash"] = ""
		L["Enrage"] = ""
		L["Frenzied Regeneration"] = ""
		L["Prowl"] = ""
		L["Tiger's Fury"] = ""
		L["Rebirth"] = ""
		L["Tranquility"] = ""
		]]--
		
return end

if LOCALE == "ruRU" then
	-- Russian translations go here
		--[[
			-- Exclusively Talent Cooldowns
		L["Blade Flurry"] = ""
		L["Adrenaline Rush"] = ""
		L["Preparation"] = ""
		L["Ghostly Strike"] = ""
		L["Premeditation"] = ""
		L["Cold Blood"] = ""

		L["Bestial Wrath"] = ""
		L["Intimidation"] = ""
		L["Deterrence"] = ""
		L["Scatter Shot"] = ""
		L["Aimed Shot"] = ""

		L["Last Stand"] = ""
		L["Sweeping Strikes"] = ""
		L["Death Wish"] = ""
		L["Concussion Blow"] = ""

		L["Inner Focus"] = ""
		L["Power Infusion"] = ""
		L["Silence"] = ""

		L["Elemental Mastery"] = ""
		L["Stormstrike"] = ""
		L["Nature's Swiftness"] = ""

		L["Fel Domination"] = ""
		L["Amplify Curse"] = ""

		L["Divine Favor"] = ""
		L["Holy Shock"] = ""
		L["Holy Shield"] = ""
		L["Repentance"] = ""

		L["Innervate"] = ""
		L["Faerie Fire (Feral)"] = ""
		L["Feral Charge"] = ""
		L["Swiftmend"] = ""

		L["Presence of Mind"] = ""
		L["Arcane Power"] = ""
		L["Combustion"] = ""
		L["Cold Snap"] = ""
		L["Ice Block"] = ""

		-- Trinkets & Racials
		L["Will of the Forsaken"] = ""
		L["Perception"] = ""
		L["War Stomp"] = ""
		L["Stoneform"] = ""
		L["Cannibalize"] = ""
		L["Blood Fury"] = ""
		L["Berserking"] = ""
		L["Shadowmeld"] = ""
		L["Escape Artist"] = ""

		L["Brittle Armor"] = ""
		L["Unstable Power"] = ""
		L["Restless Strength"] = ""
		L["Ephemeral Power"] = ""
		L["Massive Destruction"] = ""
		L["Arcane Potency"] = ""
		L["Energized Shield"] = ""
		L["Brilliant Light"] = ""
		L["Mar'li's Brain Boost"] = ""
		L["Burst of Energy"] = ""
		L["Refocus"] = ""
		L["Venomous Totem"] = ""
		L["Mind Quickening"] = ""
		L["Gift of Life"] = ""
		L["Blinding Light"] = ""
		L["Nature Aligned"] = ""
		L["Earthstrike"] = ""
		L["Badge of the Swarmguard"] = ""
		L["Speed"] = ""
		L["Immune Root/Snare/Stun"] = ""
		L["Immune Fear/Polymorph/Snare"] = ""
		L["Immune Charm/Fear/Stun"] = ""
		L["Immune Charm/Fear/Polymorph"] = ""
		L["Immune Fear/Polymorph/Stun"] = ""

		L["Frost Reflector"] = ""
		L["Shadow Reflector"] = ""
		L["Fire Reflector"] = ""
		
		L["Healing Potion"] = ""
		L["Healing Draught"] = ""
		L["Restore Mana"] = ""
		L["Free Action"] = ""
		L["Living Free Action"] = ""
		L["Invulnerability"] = ""
		L["Restoration"] = ""
		L["Restore Energy"] = ""

		L["Recently Bandaged"] = ""
		L["Iron Grenade"] = ""
		L["Thorium Grenade"] = ""
		L["Goblin Sapper Charge"] = ""
		
		L["Flee"] = ""
		L["Gnomish Rocket Boots"] = ""
		L["Goblin Rocket Boots"] = ""
		L["Running Speed"] = ""
		L["Gnomish Mind Control Cap"] = ""
		L["Reckless Charge"] = ""

		-- Warrior
		L["Charge"] = ""
		L["Mocking Blow"] = ""
		L["Mortal Strike"] = ""
		L["Overpower"] = ""
		L["Retaliation"] = ""
		L["Thunder Clap"] = ""
		L["Berserker Rage"] = ""
		L["Bloodthirst"] = ""
		L["Challenging Shout"] = ""
		L["Intercept"] = ""
		L["Intimidating Shout"] = ""
		L["Pummel"] = ""
		L["Recklessness"] = ""
		L["Whirlwind"] = ""
		L["Bloodrage"] = ""
		L["Disarm"] = ""
		L["Revenge"] = ""
		L["Shield Bash"] = ""
		L["Shield Block"] = ""
		L["Shield Slam"] = ""
		L["Shield Wall"] = ""

		-- Paladin
		L["Consecration"] = ""
		L["Exorcism"] = ""
		L["Hammer of Wrath"] = ""
		L["Holy Wrath"] = ""
		L["Lay on Hands"] = ""
		L["Turn Undead"] = ""
		L["Blessing of Freedom"] = ""
		L["Blessing of Protection"] = ""
		L["Divine Intervention"] = ""
		L["Divine Protection"] = ""
		L["Divine Shield"] = ""
		L["Hammer of Justice"] = ""
		L["Judgement"] = ""
		L["Forbearance"] = ""

		-- Mage
		L["Blink"] = ""
		L["Portal: Darnassus"] = ""
		L["Portal: Ironforge"] = ""
		L["Portal: Orgrimmar"] = ""
		L["Portal: Stormwind"] = ""
		L["Portal: Thunder Bluff"] = ""
		L["Portal: Undercity"] = ""
		L["Blast Wave"] = ""
		L["Fire Blast"] = ""
		L["Fire Ward"] = ""
		L["Cone of Cold"] = ""
		L["Frost Nova"] = ""
		L["Frost Ward"] = ""
		L["Ice Barrier"] = ""
		L["Counterspell"] = ""
		L["Evocation"] = ""

		-- Rogues
		L["Kidney Shot"] = ""
		L["Evasion"] = ""
		L["Feint"] = ""
		L["Gouge"] = ""
		L["Kick"] = ""
		L["Sprint"] = ""
		L["Blind"] = ""
		L["Distract"] = ""
		L["Stealth"] = ""
		L["Vanish"] = ""

		-- Shaman
		L["Reincarnation"] = ""
		L["Chain Lightning"] = ""
		L["Earth Shock"] = ""
		L["Earthbind Totem"] = ""
		L["Fire Nova Totem"] = ""
		L["Flame Shock"] = ""
		L["Frost Shock"] = ""
		L["Stoneclaw Totem"] = ""
		L["Astral Recall"] = ""
		L["Grounding Totem"] = ""
		L["Mana Tide Totem"] = ""

		-- Hunters
		L["Scare Beast"] = ""
		L["Tranquilizing Shot"] = ""
		L["Arcane Shot"] = ""
		L["Concussive Shot"] = ""
		L["Distracting Shot"] = ""
		L["Flare"] = ""
		L["Multi-Shot"] = ""
		L["Rapid Fire"] = ""
		L["Volley"] = ""
		L["Counterattack"] = ""
		L["Disengage"] = ""
		L["Explosive Trap"] = ""
		L["Feign Death"] = ""
		L["Frost Trap"] = ""
		L["Immolation Trap"] = ""
		L["Mongoose Bite"] = ""
		L["Raptor Strike"] = ""
		L["Wyvern Sting"] = ""

		-- Warlocks
		L["Soulstone Resurrection"] = ""
		L["Curse of Doom"] = ""
		L["Death Coil"] = ""
		L["Howl of Terror"] = ""
		L["Inferno"] = ""
		L["Ritual of Doom"] = ""
		L["Shadow Ward"] = ""
		L["Conflagrate"] = ""
		L["Shadowburn"] = ""
		L["Soul Fire"] = ""
		L["Devour Magic"] = ""
		L["Spell Lock"] = ""
		L["Lash of Pain"] = ""
		L["Soothing Kiss"] = ""

		-- Priest
		L["Elune's Grace"] = ""
		L["Feedback"] = ""
		L["Power Word: Shield"] = ""
		L["Desperate Prayer"] = ""
		L["Fear Ward"] = ""
		L["Devouring Plague"] = ""
		L["Fade"] = ""
		L["Mind Blast"] = ""
		L["Psychic Scream"] = ""
		
		-- Druid
		L["Barkskin"] = ""
		L["Faerie Fire"] = ""
		L["Hurricane"] = ""
		L["Nature's Grasp"] = ""
		L["Bash"] = ""
		L["Challenging Roar"] = ""
		L["Cower"] = ""
		L["Dash"] = ""
		L["Enrage"] = ""
		L["Frenzied Regeneration"] = ""
		L["Prowl"] = ""
		L["Tiger's Fury"] = ""
		L["Rebirth"] = ""
		L["Tranquility"] = ""
		]]--
		
return end

if LOCALE == "koKR" then
	-- Korean translations go here
		--[[
			-- Exclusively Talent Cooldowns
		L["Blade Flurry"] = ""
		L["Adrenaline Rush"] = ""
		L["Preparation"] = ""
		L["Ghostly Strike"] = ""
		L["Premeditation"] = ""
		L["Cold Blood"] = ""

		L["Bestial Wrath"] = ""
		L["Intimidation"] = ""
		L["Deterrence"] = ""
		L["Scatter Shot"] = ""
		L["Aimed Shot"] = ""

		L["Last Stand"] = ""
		L["Sweeping Strikes"] = ""
		L["Death Wish"] = ""
		L["Concussion Blow"] = ""

		L["Inner Focus"] = ""
		L["Power Infusion"] = ""
		L["Silence"] = ""

		L["Elemental Mastery"] = ""
		L["Stormstrike"] = ""
		L["Nature's Swiftness"] = ""

		L["Fel Domination"] = ""
		L["Amplify Curse"] = ""

		L["Divine Favor"] = ""
		L["Holy Shock"] = ""
		L["Holy Shield"] = ""
		L["Repentance"] = ""

		L["Innervate"] = ""
		L["Faerie Fire (Feral)"] = ""
		L["Feral Charge"] = ""
		L["Swiftmend"] = ""

		L["Presence of Mind"] = ""
		L["Arcane Power"] = ""
		L["Combustion"] = ""
		L["Cold Snap"] = ""
		L["Ice Block"] = ""

		-- Trinkets & Racials
		L["Will of the Forsaken"] = ""
		L["Perception"] = ""
		L["War Stomp"] = ""
		L["Stoneform"] = ""
		L["Cannibalize"] = ""
		L["Blood Fury"] = ""
		L["Berserking"] = ""
		L["Shadowmeld"] = ""
		L["Escape Artist"] = ""

		L["Brittle Armor"] = ""
		L["Unstable Power"] = ""
		L["Restless Strength"] = ""
		L["Ephemeral Power"] = ""
		L["Massive Destruction"] = ""
		L["Arcane Potency"] = ""
		L["Energized Shield"] = ""
		L["Brilliant Light"] = ""
		L["Mar'li's Brain Boost"] = ""
		L["Burst of Energy"] = ""
		L["Refocus"] = ""
		L["Venomous Totem"] = ""
		L["Mind Quickening"] = ""
		L["Gift of Life"] = ""
		L["Blinding Light"] = ""
		L["Nature Aligned"] = ""
		L["Earthstrike"] = ""
		L["Badge of the Swarmguard"] = ""
		L["Speed"] = ""
		L["Immune Root/Snare/Stun"] = ""
		L["Immune Fear/Polymorph/Snare"] = ""
		L["Immune Charm/Fear/Stun"] = ""
		L["Immune Charm/Fear/Polymorph"] = ""
		L["Immune Fear/Polymorph/Stun"] = ""

		L["Frost Reflector"] = ""
		L["Shadow Reflector"] = ""
		L["Fire Reflector"] = ""
		
		L["Healing Potion"] = ""
		L["Healing Draught"] = ""
		L["Restore Mana"] = ""
		L["Free Action"] = ""
		L["Living Free Action"] = ""
		L["Invulnerability"] = ""
		L["Restoration"] = ""
		L["Restore Energy"] = ""

		L["Recently Bandaged"] = ""
		L["Iron Grenade"] = ""
		L["Thorium Grenade"] = ""
		L["Goblin Sapper Charge"] = ""
		
		L["Flee"] = ""
		L["Gnomish Rocket Boots"] = ""
		L["Goblin Rocket Boots"] = ""
		L["Running Speed"] = ""
		L["Gnomish Mind Control Cap"] = ""
		L["Reckless Charge"] = ""

		-- Warrior
		L["Charge"] = ""
		L["Mocking Blow"] = ""
		L["Mortal Strike"] = ""
		L["Overpower"] = ""
		L["Retaliation"] = ""
		L["Thunder Clap"] = ""
		L["Berserker Rage"] = ""
		L["Bloodthirst"] = ""
		L["Challenging Shout"] = ""
		L["Intercept"] = ""
		L["Intimidating Shout"] = ""
		L["Pummel"] = ""
		L["Recklessness"] = ""
		L["Whirlwind"] = ""
		L["Bloodrage"] = ""
		L["Disarm"] = ""
		L["Revenge"] = ""
		L["Shield Bash"] = ""
		L["Shield Block"] = ""
		L["Shield Slam"] = ""
		L["Shield Wall"] = ""

		-- Paladin
		L["Consecration"] = ""
		L["Exorcism"] = ""
		L["Hammer of Wrath"] = ""
		L["Holy Wrath"] = ""
		L["Lay on Hands"] = ""
		L["Turn Undead"] = ""
		L["Blessing of Freedom"] = ""
		L["Blessing of Protection"] = ""
		L["Divine Intervention"] = ""
		L["Divine Protection"] = ""
		L["Divine Shield"] = ""
		L["Hammer of Justice"] = ""
		L["Judgement"] = ""
		L["Forbearance"] = ""

		-- Mage
		L["Blink"] = ""
		L["Portal: Darnassus"] = ""
		L["Portal: Ironforge"] = ""
		L["Portal: Orgrimmar"] = ""
		L["Portal: Stormwind"] = ""
		L["Portal: Thunder Bluff"] = ""
		L["Portal: Undercity"] = ""
		L["Blast Wave"] = ""
		L["Fire Blast"] = ""
		L["Fire Ward"] = ""
		L["Cone of Cold"] = ""
		L["Frost Nova"] = ""
		L["Frost Ward"] = ""
		L["Ice Barrier"] = ""
		L["Counterspell"] = ""
		L["Evocation"] = ""

		-- Rogues
		L["Kidney Shot"] = ""
		L["Evasion"] = ""
		L["Feint"] = ""
		L["Gouge"] = ""
		L["Kick"] = ""
		L["Sprint"] = ""
		L["Blind"] = ""
		L["Distract"] = ""
		L["Stealth"] = ""
		L["Vanish"] = ""

		-- Shaman
		L["Reincarnation"] = ""
		L["Chain Lightning"] = ""
		L["Earth Shock"] = ""
		L["Earthbind Totem"] = ""
		L["Fire Nova Totem"] = ""
		L["Flame Shock"] = ""
		L["Frost Shock"] = ""
		L["Stoneclaw Totem"] = ""
		L["Astral Recall"] = ""
		L["Grounding Totem"] = ""
		L["Mana Tide Totem"] = ""

		-- Hunters
		L["Scare Beast"] = ""
		L["Tranquilizing Shot"] = ""
		L["Arcane Shot"] = ""
		L["Concussive Shot"] = ""
		L["Distracting Shot"] = ""
		L["Flare"] = ""
		L["Multi-Shot"] = ""
		L["Rapid Fire"] = ""
		L["Volley"] = ""
		L["Counterattack"] = ""
		L["Disengage"] = ""
		L["Explosive Trap"] = ""
		L["Feign Death"] = ""
		L["Frost Trap"] = ""
		L["Immolation Trap"] = ""
		L["Mongoose Bite"] = ""
		L["Raptor Strike"] = ""
		L["Wyvern Sting"] = ""

		-- Warlocks
		L["Soulstone Resurrection"] = ""
		L["Curse of Doom"] = ""
		L["Death Coil"] = ""
		L["Howl of Terror"] = ""
		L["Inferno"] = ""
		L["Ritual of Doom"] = ""
		L["Shadow Ward"] = ""
		L["Conflagrate"] = ""
		L["Shadowburn"] = ""
		L["Soul Fire"] = ""
		L["Devour Magic"] = ""
		L["Spell Lock"] = ""
		L["Lash of Pain"] = ""
		L["Soothing Kiss"] = ""

		-- Priest
		L["Elune's Grace"] = ""
		L["Feedback"] = ""
		L["Power Word: Shield"] = ""
		L["Desperate Prayer"] = ""
		L["Fear Ward"] = ""
		L["Devouring Plague"] = ""
		L["Fade"] = ""
		L["Mind Blast"] = ""
		L["Psychic Scream"] = ""
		
		-- Druid
		L["Barkskin"] = ""
		L["Faerie Fire"] = ""
		L["Hurricane"] = ""
		L["Nature's Grasp"] = ""
		L["Bash"] = ""
		L["Challenging Roar"] = ""
		L["Cower"] = ""
		L["Dash"] = ""
		L["Enrage"] = ""
		L["Frenzied Regeneration"] = ""
		L["Prowl"] = ""
		L["Tiger's Fury"] = ""
		L["Rebirth"] = ""
		L["Tranquility"] = ""
		]]--
		
return end

if LOCALE == "zhCN" then
	-- Simplified Chinese translations go here
		--[[
			-- Exclusively Talent Cooldowns
		L["Blade Flurry"] = ""
		L["Adrenaline Rush"] = ""
		L["Preparation"] = ""
		L["Ghostly Strike"] = ""
		L["Premeditation"] = ""
		L["Cold Blood"] = ""

		L["Bestial Wrath"] = ""
		L["Intimidation"] = ""
		L["Deterrence"] = ""
		L["Scatter Shot"] = ""
		L["Aimed Shot"] = ""

		L["Last Stand"] = ""
		L["Sweeping Strikes"] = ""
		L["Death Wish"] = ""
		L["Concussion Blow"] = ""

		L["Inner Focus"] = ""
		L["Power Infusion"] = ""
		L["Silence"] = ""

		L["Elemental Mastery"] = ""
		L["Stormstrike"] = ""
		L["Nature's Swiftness"] = ""

		L["Fel Domination"] = ""
		L["Amplify Curse"] = ""

		L["Divine Favor"] = ""
		L["Holy Shock"] = ""
		L["Holy Shield"] = ""
		L["Repentance"] = ""

		L["Innervate"] = ""
		L["Faerie Fire (Feral)"] = ""
		L["Feral Charge"] = ""
		L["Swiftmend"] = ""

		L["Presence of Mind"] = ""
		L["Arcane Power"] = ""
		L["Combustion"] = ""
		L["Cold Snap"] = ""
		L["Ice Block"] = ""

		-- Trinkets & Racials
		L["Will of the Forsaken"] = ""
		L["Perception"] = ""
		L["War Stomp"] = ""
		L["Stoneform"] = ""
		L["Cannibalize"] = ""
		L["Blood Fury"] = ""
		L["Berserking"] = ""
		L["Shadowmeld"] = ""
		L["Escape Artist"] = ""

		L["Brittle Armor"] = ""
		L["Unstable Power"] = ""
		L["Restless Strength"] = ""
		L["Ephemeral Power"] = ""
		L["Massive Destruction"] = ""
		L["Arcane Potency"] = ""
		L["Energized Shield"] = ""
		L["Brilliant Light"] = ""
		L["Mar'li's Brain Boost"] = ""
		L["Burst of Energy"] = ""
		L["Refocus"] = ""
		L["Venomous Totem"] = ""
		L["Mind Quickening"] = ""
		L["Gift of Life"] = ""
		L["Blinding Light"] = ""
		L["Nature Aligned"] = ""
		L["Earthstrike"] = ""
		L["Badge of the Swarmguard"] = ""
		L["Speed"] = ""
		L["Immune Root/Snare/Stun"] = ""
		L["Immune Fear/Polymorph/Snare"] = ""
		L["Immune Charm/Fear/Stun"] = ""
		L["Immune Charm/Fear/Polymorph"] = ""
		L["Immune Fear/Polymorph/Stun"] = ""

		L["Frost Reflector"] = ""
		L["Shadow Reflector"] = ""
		L["Fire Reflector"] = ""
		
		L["Healing Potion"] = ""
		L["Healing Draught"] = ""
		L["Restore Mana"] = ""
		L["Free Action"] = ""
		L["Living Free Action"] = ""
		L["Invulnerability"] = ""
		L["Restoration"] = ""
		L["Restore Energy"] = ""

		L["Recently Bandaged"] = ""
		L["Iron Grenade"] = ""
		L["Thorium Grenade"] = ""
		L["Goblin Sapper Charge"] = ""
		
		L["Flee"] = ""
		L["Gnomish Rocket Boots"] = ""
		L["Goblin Rocket Boots"] = ""
		L["Running Speed"] = ""
		L["Gnomish Mind Control Cap"] = ""
		L["Reckless Charge"] = ""

		-- Warrior
		L["Charge"] = ""
		L["Mocking Blow"] = ""
		L["Mortal Strike"] = ""
		L["Overpower"] = ""
		L["Retaliation"] = ""
		L["Thunder Clap"] = ""
		L["Berserker Rage"] = ""
		L["Bloodthirst"] = ""
		L["Challenging Shout"] = ""
		L["Intercept"] = ""
		L["Intimidating Shout"] = ""
		L["Pummel"] = ""
		L["Recklessness"] = ""
		L["Whirlwind"] = ""
		L["Bloodrage"] = ""
		L["Disarm"] = ""
		L["Revenge"] = ""
		L["Shield Bash"] = ""
		L["Shield Block"] = ""
		L["Shield Slam"] = ""
		L["Shield Wall"] = ""

		-- Paladin
		L["Consecration"] = ""
		L["Exorcism"] = ""
		L["Hammer of Wrath"] = ""
		L["Holy Wrath"] = ""
		L["Lay on Hands"] = ""
		L["Turn Undead"] = ""
		L["Blessing of Freedom"] = ""
		L["Blessing of Protection"] = ""
		L["Divine Intervention"] = ""
		L["Divine Protection"] = ""
		L["Divine Shield"] = ""
		L["Hammer of Justice"] = ""
		L["Judgement"] = ""
		L["Forbearance"] = ""

		-- Mage
		L["Blink"] = ""
		L["Portal: Darnassus"] = ""
		L["Portal: Ironforge"] = ""
		L["Portal: Orgrimmar"] = ""
		L["Portal: Stormwind"] = ""
		L["Portal: Thunder Bluff"] = ""
		L["Portal: Undercity"] = ""
		L["Blast Wave"] = ""
		L["Fire Blast"] = ""
		L["Fire Ward"] = ""
		L["Cone of Cold"] = ""
		L["Frost Nova"] = ""
		L["Frost Ward"] = ""
		L["Ice Barrier"] = ""
		L["Counterspell"] = ""
		L["Evocation"] = ""

		-- Rogues
		L["Kidney Shot"] = ""
		L["Evasion"] = ""
		L["Feint"] = ""
		L["Gouge"] = ""
		L["Kick"] = ""
		L["Sprint"] = ""
		L["Blind"] = ""
		L["Distract"] = ""
		L["Stealth"] = ""
		L["Vanish"] = ""

		-- Shaman
		L["Reincarnation"] = ""
		L["Chain Lightning"] = ""
		L["Earth Shock"] = ""
		L["Earthbind Totem"] = ""
		L["Fire Nova Totem"] = ""
		L["Flame Shock"] = ""
		L["Frost Shock"] = ""
		L["Stoneclaw Totem"] = ""
		L["Astral Recall"] = ""
		L["Grounding Totem"] = ""
		L["Mana Tide Totem"] = ""

		-- Hunters
		L["Scare Beast"] = ""
		L["Tranquilizing Shot"] = ""
		L["Arcane Shot"] = ""
		L["Concussive Shot"] = ""
		L["Distracting Shot"] = ""
		L["Flare"] = ""
		L["Multi-Shot"] = ""
		L["Rapid Fire"] = ""
		L["Volley"] = ""
		L["Counterattack"] = ""
		L["Disengage"] = ""
		L["Explosive Trap"] = ""
		L["Feign Death"] = ""
		L["Frost Trap"] = ""
		L["Immolation Trap"] = ""
		L["Mongoose Bite"] = ""
		L["Raptor Strike"] = ""
		L["Wyvern Sting"] = ""

		-- Warlocks
		L["Soulstone Resurrection"] = ""
		L["Curse of Doom"] = ""
		L["Death Coil"] = ""
		L["Howl of Terror"] = ""
		L["Inferno"] = ""
		L["Ritual of Doom"] = ""
		L["Shadow Ward"] = ""
		L["Conflagrate"] = ""
		L["Shadowburn"] = ""
		L["Soul Fire"] = ""
		L["Devour Magic"] = ""
		L["Spell Lock"] = ""
		L["Lash of Pain"] = ""
		L["Soothing Kiss"] = ""

		-- Priest
		L["Elune's Grace"] = ""
		L["Feedback"] = ""
		L["Power Word: Shield"] = ""
		L["Desperate Prayer"] = ""
		L["Fear Ward"] = ""
		L["Devouring Plague"] = ""
		L["Fade"] = ""
		L["Mind Blast"] = ""
		L["Psychic Scream"] = ""
		
		-- Druid
		L["Barkskin"] = ""
		L["Faerie Fire"] = ""
		L["Hurricane"] = ""
		L["Nature's Grasp"] = ""
		L["Bash"] = ""
		L["Challenging Roar"] = ""
		L["Cower"] = ""
		L["Dash"] = ""
		L["Enrage"] = ""
		L["Frenzied Regeneration"] = ""
		L["Prowl"] = ""
		L["Tiger's Fury"] = ""
		L["Rebirth"] = ""
		L["Tranquility"] = ""
		]]--
		
return end

if LOCALE == "zhTW" then
	-- Traditional Chinese translations go here
		--[[
			-- Exclusively Talent Cooldowns
		L["Blade Flurry"] = ""
		L["Adrenaline Rush"] = ""
		L["Preparation"] = ""
		L["Ghostly Strike"] = ""
		L["Premeditation"] = ""
		L["Cold Blood"] = ""

		L["Bestial Wrath"] = ""
		L["Intimidation"] = ""
		L["Deterrence"] = ""
		L["Scatter Shot"] = ""
		L["Aimed Shot"] = ""

		L["Last Stand"] = ""
		L["Sweeping Strikes"] = ""
		L["Death Wish"] = ""
		L["Concussion Blow"] = ""

		L["Inner Focus"] = ""
		L["Power Infusion"] = ""
		L["Silence"] = ""

		L["Elemental Mastery"] = ""
		L["Stormstrike"] = ""
		L["Nature's Swiftness"] = ""

		L["Fel Domination"] = ""
		L["Amplify Curse"] = ""

		L["Divine Favor"] = ""
		L["Holy Shock"] = ""
		L["Holy Shield"] = ""
		L["Repentance"] = ""

		L["Innervate"] = ""
		L["Faerie Fire (Feral)"] = ""
		L["Feral Charge"] = ""
		L["Swiftmend"] = ""

		L["Presence of Mind"] = ""
		L["Arcane Power"] = ""
		L["Combustion"] = ""
		L["Cold Snap"] = ""
		L["Ice Block"] = ""

		-- Trinkets & Racials
		L["Will of the Forsaken"] = ""
		L["Perception"] = ""
		L["War Stomp"] = ""
		L["Stoneform"] = ""
		L["Cannibalize"] = ""
		L["Blood Fury"] = ""
		L["Berserking"] = ""
		L["Shadowmeld"] = ""
		L["Escape Artist"] = ""

		L["Brittle Armor"] = ""
		L["Unstable Power"] = ""
		L["Restless Strength"] = ""
		L["Ephemeral Power"] = ""
		L["Massive Destruction"] = ""
		L["Arcane Potency"] = ""
		L["Energized Shield"] = ""
		L["Brilliant Light"] = ""
		L["Mar'li's Brain Boost"] = ""
		L["Burst of Energy"] = ""
		L["Refocus"] = ""
		L["Venomous Totem"] = ""
		L["Mind Quickening"] = ""
		L["Gift of Life"] = ""
		L["Blinding Light"] = ""
		L["Nature Aligned"] = ""
		L["Earthstrike"] = ""
		L["Badge of the Swarmguard"] = ""
		L["Speed"] = ""
		L["Immune Root/Snare/Stun"] = ""
		L["Immune Fear/Polymorph/Snare"] = ""
		L["Immune Charm/Fear/Stun"] = ""
		L["Immune Charm/Fear/Polymorph"] = ""
		L["Immune Fear/Polymorph/Stun"] = ""

		L["Frost Reflector"] = ""
		L["Shadow Reflector"] = ""
		L["Fire Reflector"] = ""
		
		L["Healing Potion"] = ""
		L["Healing Draught"] = ""
		L["Restore Mana"] = ""
		L["Free Action"] = ""
		L["Living Free Action"] = ""
		L["Invulnerability"] = ""
		L["Restoration"] = ""
		L["Restore Energy"] = ""

		L["Recently Bandaged"] = ""
		L["Iron Grenade"] = ""
		L["Thorium Grenade"] = ""
		L["Goblin Sapper Charge"] = ""
		
		L["Flee"] = ""
		L["Gnomish Rocket Boots"] = ""
		L["Goblin Rocket Boots"] = ""
		L["Running Speed"] = ""
		L["Gnomish Mind Control Cap"] = ""
		L["Reckless Charge"] = ""

		-- Warrior
		L["Charge"] = ""
		L["Mocking Blow"] = ""
		L["Mortal Strike"] = ""
		L["Overpower"] = ""
		L["Retaliation"] = ""
		L["Thunder Clap"] = ""
		L["Berserker Rage"] = ""
		L["Bloodthirst"] = ""
		L["Challenging Shout"] = ""
		L["Intercept"] = ""
		L["Intimidating Shout"] = ""
		L["Pummel"] = ""
		L["Recklessness"] = ""
		L["Whirlwind"] = ""
		L["Bloodrage"] = ""
		L["Disarm"] = ""
		L["Revenge"] = ""
		L["Shield Bash"] = ""
		L["Shield Block"] = ""
		L["Shield Slam"] = ""
		L["Shield Wall"] = ""

		-- Paladin
		L["Consecration"] = ""
		L["Exorcism"] = ""
		L["Hammer of Wrath"] = ""
		L["Holy Wrath"] = ""
		L["Lay on Hands"] = ""
		L["Turn Undead"] = ""
		L["Blessing of Freedom"] = ""
		L["Blessing of Protection"] = ""
		L["Divine Intervention"] = ""
		L["Divine Protection"] = ""
		L["Divine Shield"] = ""
		L["Hammer of Justice"] = ""
		L["Judgement"] = ""
		L["Forbearance"] = ""

		-- Mage
		L["Blink"] = ""
		L["Portal: Darnassus"] = ""
		L["Portal: Ironforge"] = ""
		L["Portal: Orgrimmar"] = ""
		L["Portal: Stormwind"] = ""
		L["Portal: Thunder Bluff"] = ""
		L["Portal: Undercity"] = ""
		L["Blast Wave"] = ""
		L["Fire Blast"] = ""
		L["Fire Ward"] = ""
		L["Cone of Cold"] = ""
		L["Frost Nova"] = ""
		L["Frost Ward"] = ""
		L["Ice Barrier"] = ""
		L["Counterspell"] = ""
		L["Evocation"] = ""

		-- Rogues
		L["Kidney Shot"] = ""
		L["Evasion"] = ""
		L["Feint"] = ""
		L["Gouge"] = ""
		L["Kick"] = ""
		L["Sprint"] = ""
		L["Blind"] = ""
		L["Distract"] = ""
		L["Stealth"] = ""
		L["Vanish"] = ""

		-- Shaman
		L["Reincarnation"] = ""
		L["Chain Lightning"] = ""
		L["Earth Shock"] = ""
		L["Earthbind Totem"] = ""
		L["Fire Nova Totem"] = ""
		L["Flame Shock"] = ""
		L["Frost Shock"] = ""
		L["Stoneclaw Totem"] = ""
		L["Astral Recall"] = ""
		L["Grounding Totem"] = ""
		L["Mana Tide Totem"] = ""

		-- Hunters
		L["Scare Beast"] = ""
		L["Tranquilizing Shot"] = ""
		L["Arcane Shot"] = ""
		L["Concussive Shot"] = ""
		L["Distracting Shot"] = ""
		L["Flare"] = ""
		L["Multi-Shot"] = ""
		L["Rapid Fire"] = ""
		L["Volley"] = ""
		L["Counterattack"] = ""
		L["Disengage"] = ""
		L["Explosive Trap"] = ""
		L["Feign Death"] = ""
		L["Frost Trap"] = ""
		L["Immolation Trap"] = ""
		L["Mongoose Bite"] = ""
		L["Raptor Strike"] = ""
		L["Wyvern Sting"] = ""

		-- Warlocks
		L["Soulstone Resurrection"] = ""
		L["Curse of Doom"] = ""
		L["Death Coil"] = ""
		L["Howl of Terror"] = ""
		L["Inferno"] = ""
		L["Ritual of Doom"] = ""
		L["Shadow Ward"] = ""
		L["Conflagrate"] = ""
		L["Shadowburn"] = ""
		L["Soul Fire"] = ""
		L["Devour Magic"] = ""
		L["Spell Lock"] = ""
		L["Lash of Pain"] = ""
		L["Soothing Kiss"] = ""

		-- Priest
		L["Elune's Grace"] = ""
		L["Feedback"] = ""
		L["Power Word: Shield"] = ""
		L["Desperate Prayer"] = ""
		L["Fear Ward"] = ""
		L["Devouring Plague"] = ""
		L["Fade"] = ""
		L["Mind Blast"] = ""
		L["Psychic Scream"] = ""
		
		-- Druid
		L["Barkskin"] = ""
		L["Faerie Fire"] = ""
		L["Hurricane"] = ""
		L["Nature's Grasp"] = ""
		L["Bash"] = ""
		L["Challenging Roar"] = ""
		L["Cower"] = ""
		L["Dash"] = ""
		L["Enrage"] = ""
		L["Frenzied Regeneration"] = ""
		L["Prowl"] = ""
		L["Tiger's Fury"] = ""
		L["Rebirth"] = ""
		L["Tranquility"] = ""
		]]--
		
return end